import { Logger } from '@hyperstackjs/typings';
import { Request } from '../types.js';
import { Response, NextFunction } from 'express';

declare const errorHandler: ({ logger, sendValidationErrors, }: {
    logger: Logger;
    sendValidationErrors: boolean;
}) => (err: any, req: Request, res: Response, next: NextFunction) => Promise<void>;

export { errorHandler as default };
